gtk.MessageDialog
Prev | The gtk Class Reference | Next

## gtk.MessageDialog

gtk.MessageDialog — a convenient message window

## Synopsis

    class gtk.MessageDialog(gtk.Dialog):
        gtk.MessageDialog(parent=None, flags=0, type=gtk.MESSAGE_INFO, buttons=gtk.BUTTONS_NONE, message_format=None)
        def set_markup(str)
        def format_secondary_text(message_format)
        def format_secondary_markup(message_format)
        def set_image(image)
        def get_image()
        def get_message_area()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Dialog
                  +-- gtk.MessageDialog

## Implemented Interfaces

`gtk.MessageDialog` implements `gtk.Buildable`

## gtk.MessageDialog Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

gtk.Dialog Properties

"buttons" | Write-Construct | The buttons shown in the message dialog. One of the GTK Buttons Type Constants: `gtk.BUTTONS_NONE`, `gtk.BUTTONS_OK`, `gtk.BUTTONS_CLOSE`, `gtk.BUTTONS_CANCEL`, `gtk.BUTTONS_YES_NO`, `gtk.BUTTONS_OK_CANCEL`. Default value: `gtk.BUTTONS_NONE`
"image" | Read-Write | The image for this dialog. Available in GTK+ 2.10.
"message-area" | Read | The `gtk.VBox` that corresponds to the message area of this dialog. Available in GTK+ 2.22.
"message-type" | Read-Write-Construct | The type of message. One of the GTK Message Type Constants: `gtk.MESSAGE_INFO`, `gtk.MESSAGE_WARNING`, `gtk.MESSAGE_QUESTION` or `gtk.MESSAGE_ERROR`. Default value: `gtk.MESSAGE_INFO`
"secondary-text" | Read-Write | The secondary text of the message dialog. Default value: `None`. Available in GTK+ 2.10.
"secondary-use-markup" | Read-Write | If `True` the secondary text of the dialog includes Pango markup. See the `pango.parse_markup`() function. Default value: `False`. Available in GTK+ 2.10.
"text" | Read-Write | The primary text of the message dialog. If the dialog has a secondary text, this will appear as the title. Default value: `None`. Available in GTK+ 2.10.
"use-markup" | Read-Write | If `True` the primary text of the dialog includes Pango markup. See the `pango.parse_markup`() function. Default value: `False`. Available in GTK+ 2.10.

## gtk.MessageDialog Style Properties

gtk.Widget Style Properties

gtk.Dialog Style Properties

"message-border" | Read-Write | The width of border around the label and image in the message dialog. Allowed values: >= 0. Default value: 12.
"use-separator" | Read | If `True` draw a separator line between the message label and the buttons in the dialog. This property is available in GTK+ 2.4 and above.

## Attributes

"image" | Read | The stock ID image
"label" | Read | The label widget that contains the message text.

## gtk.MessageDialog Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

gtk.Dialog Signal Prototypes

## Description

The `gtk.MessageDialog` presents a dialog with an image representing the type of message (Error, Question, etc.) alongside some message text. It's simply a convenience widget; you could construct the equivalent of `gtk.MessageDialog` from `gtk.Dialog` without too much effort, but `gtk.MessageDialog` saves time.

The `gtk.MessageDialog` types are listed in the GTK Message Type Constants.

A selection of predefined button sets is available for use in a message dialog. See the GTK Buttons Type Constants.

See the `gtk.Dialog` reference page for additional methods to be used with the `gtk.MessageDialog`.

## Constructor

        gtk.MessageDialog(parent=None, flags=0, type=gtk.MESSAGE_INFO, buttons=gtk.BUTTONS_NONE, message_format=None)

`parent` : | the transient parent, or None if none
`flags` : | the dialog flags - a combination of: `gtk.DIALOG_MODAL`, `gtk.DIALOG_DESTROY_WITH_PARENT` or 0 for no flags
`type` : | the type of message: `gtk.MESSAGE_INFO`, `gtk.MESSAGE_WARNING`, `gtk.MESSAGE_QUESTION` or `gtk.MESSAGE_ERROR`.
`buttons` : | the predefined set of buttons to use: `gtk.BUTTONS_NONE`, `gtk.BUTTONS_OK`, `gtk.BUTTONS_CLOSE`, `gtk.BUTTONS_CANCEL`, `gtk.BUTTONS_YES_NO`, `gtk.BUTTONS_OK_CANCEL`
`message_format` : | a string containing the message text or None
Returns : | a new `gtk.MessageDialog` widget

Creates a new `gtk.MessageDialog`, which is a simple dialog with an icon indicating the dialog type (error, warning, etc.) specified by `type` and some text (`message_format`) the user may want to see. `parent` if specified indicates the transient parent of the dialog. The `flags` allow the specification special dialog characteristics: make the dialog modal (`gtk.DIALOG_MODAL`) and destroy the dialog when the parent is destroyed (`gtk.DIALOG_DESTROY_WITH_PARENT`). When the user clicks a button a "response" signal is emitted with response IDs. `buttons` specifies the set of predefined buttons to use: `gtk.BUTTONS_NONE`, `gtk.BUTTONS_OK`, `gtk.BUTTONS_CLOSE`, `gtk.BUTTONS_CANCEL`, `gtk.BUTTONS_YES_NO`, `gtk.BUTTONS_OK_CANCEL`. See `gtk.Dialog` for more details.

## Methods

### gtk.MessageDialog.set_markup

        def set_markup(str)

`str` : | a markup string (see the Pango markup language reference)

### Note

This method is available in PyGTK 2.4 and above.

The `set_markup`() method sets the text of the message dialog to the contents of `str`. If `str` contains text marked up with Pango markup (see The Pango Markup Language), it will be displayed with those attributes. Note the '<', '>' and '&' characters must be replaced with '&lt;', '&gt;' and '&amp;' respectively to be displayed literally.

### gtk.MessageDialog.format_secondary_text

        def format_secondary_text(message_format)

`message_format` : | The text to be displayed as the secondary text or `None`.

### Note

This method is available in PyGTK 2.6 and above.

The `format_secondary_text`() method sets the secondary text of the message dialog to the text specified by `message_format`. Note that setting a secondary text makes the primary text bold, unless you have provided explicit markup.

### gtk.MessageDialog.format_secondary_markup

        def format_secondary_markup(message_format)

`message_format` : | A string containing the pango markup to use as secondary text.

### Note

This method is available in PyGTK 2.6 and above.

The `format_secondary_markup`() method sets the secondary text to the markup text specified by `message_format`. Note that setting a secondary text makes the primary text become bold, unless you have provided explicit markup.

### gtk.MessageDialog.set_image

        def set_image(image)

`image` : | the image widget

### Note

This method is available in PyGTK 2.10 and above.

The `set_image`() method sets the dialog's image to the `gtk.Widget` specified by `image`.

### gtk.MessageDialog.get_image

        def get_image()

Returns : | the dialog's image.

### Note

This method is available in PyGTK 2.14 and above.

The `get_image`() method gets the dialog's image.

### gtk.MessageDialog.get_message_area

        def get_message_area()

Returns : | A `gtk.VBox` corresponding to the "message area" in the message_dialog.

### Note

This method is available in PyGTK 2.22 and above.

The `get_message_area`() method returns the message area of the dialog. This is the box where the dialog's primary and secondary labels are packed. You can add your own extra content to that box and it will appear below those labels, on the right side of the dialog's image (or on the left for right-to-left languages). See `get_content_area` for the corresponding function in the parent `gtk.Dialog`.

Prev | Up | Next
gtk.MenuToolButton | Home | gtk.Misc